<div class="container mb-5">
  <div class="row d-flex justify-content-center m-4">
    <img
      src="assets\img\logov3.png"
      style="height: 50%; width: 50%;"
      alt=""
      class="img-fluid w-60"
    />
  </div>

  <h1 class=" my-5 col-auto ">MON PANIER</h1>

  <div *ngIf="basket.length == 0" class="row text-center h2 my-5">
    <div class="alert alert-warning" role="alert">
      <h4 class="alert-heading">Votre panier est vide !</h4>
      <hr />
      <p>
        ajoutez des articles à votre panier pour visualiser votre commande
      </p>
    </div>
  </div>
  <div *ngIf="basket.length == 0" class="row text-center h2 my-5"></div>

  <div class="row">
    <button
      class="btn btn-outline-primary col-3 mb-5 "
      routerLink="/planteLibrary"
    >
      <div class="text-center">
        <i class="bi bi-cart-plus-fill h4"></i>
        <span class="mx-3 h5">Continuer mes achats</span>
      </div>
    </button>
    <table *ngIf="basket.length != 0" class="table table-hover">
      <thead class="table-success">
        <tr>
          <th class="text-center" colspan="2" scope="col">PLANTE</th>
          <th class="text-center" scope="col">QUANTITÉ</th>
          <th class="text-center" scope="col">PRIX UNITAIRE</th>
          <th class="text-center" scope="col">SOUS-TOTAL</th>
          <th class="text-center" scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr
          *ngFor="let orderLine of basket; let i = index"
          [attr.data-index]="i"
        >
          <td class="w-25 text-center align-middle">
            <img
              class="w-50"
              src="{{'../../assets/img/' + orderLine.plante.url}}"
              alt=""
            />
          </td>

          <td class="text-left align-middle">
            {{orderLine.plante.commonName}}
          </td>
          <td class="text-center align-middle">
            <div (click)="sub(i)" class="btn">
              <i class="fa-solid fa-circle-minus"></i>
            </div>
            <span class="mx-3">{{orderLine.quantity}}</span>
            <div (click)="add(i)" class="btn">
              <i class="fa-solid fa-circle-plus"></i>
            </div>
          </td>
          <td class="text-center align-middle">{{orderLine.plante.price}} €</td>
          <td class="text-center align-middle">{{orderLine.linePrice}} €</td>
          <td class="text-center align-middle">
            <button (click)="delete(i)" class="btn btn-outline-danger">
              <i class="bi bi-cart-dash-fill"></i> Supprimer
            </button>
          </td>
        </tr>
      </tbody>
      <tfoot>
        <td></td>
        <td></td>
        <td></td>
        <td class="text-center h5">PRIX TOTAL :</td>
        <td class="text-center h5">{{totalPrice}} €</td>
        <td></td>
      </tfoot>
    </table>
    <div
      *ngIf="basket.length != 0"
      class="row d-flex justify-content-between mt-5"
    >
      <button class="btn btn-outline-danger col-3" (click)="emptyBasket()">
        <div class="text-center">
          <i class="bi bi-cart-x-fill h4"></i>
          <span class="mx-3 h5">Vider le panier</span>
        </div>
      </button>
      <button class="btn btn-outline-success col-3" (click)="validateOrder()">
        <div class="text-center">
          <i class="bi bi-cart-check-fill h4"></i>
          <span class="mx-3 h5">Passer la commande</span>
        </div>
      </button>
    </div>
  </div>
</div>
